commit:     1367c2e731f1dc06f116aad31ed8628124a50c8f
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  9 11:40:34 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Mar  9 12:00:09 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1367c2e7

Revert "dev-util/boost-build: Removed old."

This reverts commit fbee288a030146b808ace550c320c30fdd60b4f5.

 dev-util/boost-build/Manifest                     |   2 +
 dev-util/boost-build/boost-build-1.55.0-r1.ebuild | 137 +++++++++++++++++++++
 dev-util/boost-build/boost-build-1.55.0.ebuild    | 141 ++++++++++++++++++++++
 dev-util/boost-build/boost-build-1.57.0.ebuild    | 139 +++++++++++++++++++++
 4 files changed, 419 insertions(+)

diff --git a/dev-util/boost-build/Manifest b/dev-util/boost-build/Manifest
index 1c07f91..a852fe7 100644
--- a/dev-util/boost-build/Manifest
+++ b/dev-util/boost-build/Manifest
@@ -1,4 +1,6 @@
+DIST boost_1_55_0.tar.bz2 58146647 SHA256 
fff00023dd79486d444c8e29922f4072e1d451fc5a4d2b6075852ead7f2b7b52 SHA512 
dc606477f4c303e8f40de2586c16394b6d758e198b35bf3a7d3e576a2f49171aadc4f95e8d685fa731bc4e61e19869d5a24e1e816febfca9de078d66e096e041
 WHIRLPOOL 
6ae111d6a956651bd91914432b743faffeb466703191b05193db47f02fd3528a14ce200f26c1ab77bf2c68994eb5b135b0176f66a746964d334b4793ba113ad5
 DIST boost_1_56_0.tar.bz2 94777674 SHA256 
134732acaf3a6e7eba85988118d943f0fa6b7f0850f65131fff89823ad30ff1d SHA512 
1ce9871c3a2519682538a5f1331938b948123432d99aea0ce026958cbebd25d84019a3a28c452724b9693df98a8d1264bb2d93d2fee508453f8b42836e67481e
 WHIRLPOOL 
e9e9bb965816b687141d55bc026e378a56ed577a2bf0bdad61a1736e7f11d1797e0cac0185a1fa25b6c4b9fe1f75cbb0bb73a5ea05e84d59385bb3b17a90fd12
+DIST boost_1_57_0.tar.bz2 60821561 SHA256 
910c8c022a33ccec7f088bd65d4f14b466588dda94ba2124e78b8c57db264967 SHA512 
61881440fd89644c43c6e3bc6292e9fed75a6d3a76f98654b189d0ed4e1087d77b585884e882270c08bf9f7132b173bfc1fde05848e06aa78ba7f1008d10714d
 WHIRLPOOL 
ff092af332434082a774645a5eb42829cdbdac805ef86dccce8988542062901524bd4d5fc890e3a9c01f0a721047501e5d8b13d50ffa5368066c3438dcf719d6
 DIST boost_1_58_0.tar.bz2 70394057 SHA256 
fdfc204fc33ec79c99b9a74944c3e54bd78be4f7f15e260c0e2700a36dc7d3e5 SHA512 
7480ec713b0aa13f0ec990603e87e3b5c8d53f4411329b10fae37fc963b90aad12dbd9290a33c3669ae801e9012a68683eadff057591e9ca2ebcd22b1a67b5d1
 WHIRLPOOL 
0ed66f7de8b2ac28eda89e2fcadfc5533e6a3887ef7a929610804efa3ca66b850fecafeb61c986d37cb704ec844744e47d08f87e08ea25c779f57cffd26a1be2
 DIST boost_1_59_0.tar.bz2 70389425 SHA256 
727a932322d94287b62abb1bd2d41723eec4356a7728909e38adb65ca25241ca SHA512 
8139e1ae997a86974071c5714ad3307e3d8fd15ef702b81a953410dd4d424b932135f53a0ef4891d9b9b747a38e539e66d6a803388fe0cc98e5166be872d682a
 WHIRLPOOL 
ab26f6b770c32320e71806d7f7856b3841917dcc59e0c5ee588fc77d77f11855dda66bfb808dbe0f3f89859b958211439c271401a5b1ad2ea98aa5d377934510
 DIST boost_1_60_0.tar.bz2 76553944 SHA256 
686affff989ac2488f79a97b9479efb9f2abae035b5ed4d8226de6857933fd3b SHA512 
7c851b3fc2b322ff05d642d9cf03e7c30c5f04d5cf0579c99046b1ec708901c58a3d349031dfe24591f5b88c1e664b6a0d40abea6cce89abb52080c02eb725df
 WHIRLPOOL 
828b0797a8b62150ecef5ee13f0e8b8d6b6a0e7365511ec9782d2d8f3a26ac38a98f10876c40d05ea46697c013b1f96f22b3a24c449372520c84bb725059fe48

diff --git a/dev-util/boost-build/boost-build-1.55.0-r1.ebuild 
b/dev-util/boost-build/boost-build-1.55.0-r1.ebuild
new file mode 100644
index 0000000..22710a6
--- /dev/null
+++ b/dev-util/boost-build/boost-build-1.55.0-r1.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+RESTRICT="test"
+
+PYTHON_COMPAT=( python2_7 )
+inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs 
versionator
+
+MY_PV=$(replace_all_version_separators _)
+
+DESCRIPTION="A system for large project software construction, simple to use 
and powerful"
+HOMEPAGE="http://www.boost.org/doc/tools/build/index.html";
+SRC_URI="mirror://sourceforge/boost/boost_${MY_PV}.tar.bz2"
+
+LICENSE="Boost-1.0"
+SLOT=0
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+IUSE="examples python test"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )
+       !<dev-libs/boost-1.34.0
+       !<=dev-util/boost-build-1.35.0-r1"
+DEPEND="${RDEPEND}
+       test? ( sys-apps/diffutils
+               ${PYTHON_DEPS} )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
+       test? ( ${PYTHON_REQUIRED_USE} )"
+
+S="${WORKDIR}/boost_${MY_PV}/tools/build/v2"
+
+pkg_setup() {
+       if use python || use test; then
+               python-single-r1_pkg_setup
+       fi
+}
+
+src_unpack() {
+       tar xjpf "${DISTDIR}/${A}" boost_${MY_PV}/tools/build/v2 || die 
"unpacking tar failed"
+}
+
+src_prepare() {
+       epatch \
+               "${FILESDIR}/${PN}-1.48.0-disable_python_rpath.patch" \
+               "${FILESDIR}/${PN}-1.50.0-respect-c_ld-flags.patch" \
+               "${FILESDIR}/${PN}-1.49.0-darwin-gentoo-toolchain.patch" \
+               "${FILESDIR}/${PN}-1.52.0-darwin-no-python-framework.patch" \
+               "${FILESDIR}/${PN}-1.54.0-fix-test.patch" \
+               "${FILESDIR}/${PN}-1.54.0-support_dots_in_python-buildid.patch" 
\
+               "${FILESDIR}/${PN}-1.55.0-ppc-aix.patch"
+
+       # Remove stripping option
+       # Fix python components build on multilib systems, bug #496446
+       cd "${S}/engine" || die
+       sed -i \
+               -e 's|-s\b||' \
+               -e "/libpython/s/lib ]/$(get_libdir) ]/" \
+               build.jam || die "sed failed"
+
+       # Force regeneration
+       rm jambase.c || die
+
+       # This patch allows us to fully control optimization
+       # and stripping flags when bjam is used as build-system
+       # We simply extend the optimization and debug-symbols feature
+       # with empty dummies called 'none'
+       cd "${S}" || die
+       sed -i \
+               -e 's/\(off speed space\)/\1 none/' \
+               -e 's/\(debug-symbols      : on off\)/\1 none/' \
+               tools/builtin.jam || die "sed failed"
+
+       epatch_user
+}
+
+src_configure() {
+       if use python; then
+               # replace versions by user-selected one (TODO: fix this when 
slot-op
+               # deps are available to always match the best version available)
+               sed -i \
+                       -e "s|2.7 2.6 2.5 2.4 2.3 2.2|${EPYTHON#python}|" \
+                       engine/build.jam || die "sed failed"
+       fi
+}
+
+src_compile() {
+       cd engine || die
+
+       local toolset
+
+       if [[ ${CHOST} == *-darwin* ]]; then
+               toolset=darwin
+       else
+               # Using boost's generic toolset here, which respects CC and 
CFLAGS
+               toolset=cc
+       fi
+
+       CC=$(tc-getCC) ./build.sh ${toolset} -d+2 $(use_with python python 
"${EROOT}"/usr) || die "building bjam failed"
+}
+
+src_install() {
+       dobin engine/bin.*/{bjam,b2}
+
+       insinto /usr/share/boost-build
+       doins -r "${FILESDIR}/site-config.jam" \
+               boost-build.jam bootstrap.jam build-system.jam user-config.jam 
*.py \
+               build kernel options tools util
+
+       rm "${ED}/usr/share/boost-build/build/project.ann.py" || die "removing 
faulty python file failed"
+       if ! use python; then
+               find "${ED}/usr/share/boost-build" -iname "*.py" -delete || die 
"removing experimental python files failed"
+       fi
+
+       dodoc changes.txt hacking.txt release_procedure.txt \
+               notes/build_dir_option.txt notes/relative_source_paths.txt
+
+       if use examples; then
+               dodoc -r example
+               docompress -x "/usr/share/doc/${PF}/example"
+       fi
+}
+
+src_test() {
+       cd test || die
+
+       export TMP="${T}"
+
+       DO_DIFF="${PREFIX}/usr/bin/diff" ${PYTHON} test_all.py
+
+       if [[ -s test_results.txt ]]; then
+               eerror "At least one test failed: $(<test_results.txt)"
+               die "tests failed"
+       fi
+}

diff --git a/dev-util/boost-build/boost-build-1.55.0.ebuild 
b/dev-util/boost-build/boost-build-1.55.0.ebuild
new file mode 100644
index 0000000..1fe49ea
--- /dev/null
+++ b/dev-util/boost-build/boost-build-1.55.0.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_DEPEND="python? 2"
+
+RESTRICT="test"
+
+inherit eutils flag-o-matic multilib python toolchain-funcs versionator
+
+MY_PV=$(replace_all_version_separators _)
+
+DESCRIPTION="A system for large project software construction, simple to use 
and powerful"
+HOMEPAGE="http://www.boost.org/doc/tools/build/index.html";
+SRC_URI="mirror://sourceforge/boost/boost_${MY_PV}.tar.bz2"
+
+LICENSE="Boost-1.0"
+SLOT=0
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 
~ppc-aix ~amd64-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="examples python test"
+
+REQUIRED_USE="test? ( python )"
+
+RDEPEND="!<dev-libs/boost-1.34.0
+       !<=dev-util/boost-build-1.35.0-r1"
+DEPEND="${RDEPEND}
+       test? ( sys-apps/diffutils )"
+
+S="${WORKDIR}/boost_${MY_PV}/tools/build/v2"
+
+pkg_setup() {
+       if use python; then
+               python_set_active_version 2
+               python_pkg_setup
+       fi
+}
+
+src_unpack() {
+       tar xjpf "${DISTDIR}/${A}" boost_${MY_PV}/tools/build/v2 || die 
"unpacking tar failed"
+}
+
+src_prepare() {
+       epatch \
+               "${FILESDIR}/${PN}-1.48.0-disable_python_rpath.patch" \
+               "${FILESDIR}/${PN}-1.50.0-respect-c_ld-flags.patch" \
+               "${FILESDIR}/${PN}-1.49.0-darwin-gentoo-toolchain.patch" \
+               "${FILESDIR}/${PN}-1.52.0-darwin-no-python-framework.patch" \
+               "${FILESDIR}/${PN}-1.54.0-fix-test.patch" \
+               "${FILESDIR}/${PN}-1.54.0-support_dots_in_python-buildid.patch" 
\
+               "${FILESDIR}/${PN}-1.55.0-ppc-aix.patch"
+
+       # Remove stripping option
+       # Fix python components build on multilib systems, bug #496446
+       cd "${S}/engine"
+       sed -i \
+               -e 's|-s\b||' \
+               -e "/libpython/s/lib ]/$(get_libdir) ]/" \
+               build.jam || die "sed failed"
+
+       # Force regeneration
+       rm jambase.c || die
+
+       # This patch allows us to fully control optimization
+       # and stripping flags when bjam is used as build-system
+       # We simply extend the optimization and debug-symbols feature
+       # with empty dummies called 'none'
+       cd "${S}"
+       sed -i \
+               -e 's/\(off speed space\)/\1 none/' \
+               -e 's/\(debug-symbols      : on off\)/\1 none/' \
+               tools/builtin.jam || die "sed failed"
+}
+
+src_configure() {
+       if use python; then
+               # replace versions by user-selected one (TODO: fix this when 
slot-op
+               # deps are available to always match the best version available)
+               sed -i \
+                       -e "s|2.7 2.6 2.5 2.4 2.3 2.2|${PYTHON_ABI}|" \
+                       engine/build.jam || die "sed failed"
+       fi
+}
+
+src_compile() {
+       cd engine
+
+       local toolset
+
+       if [[ ${CHOST} == *-darwin* ]]; then
+               toolset=darwin
+       else
+               # Using boost's generic toolset here, which respects CC and 
CFLAGS
+               toolset=cc
+       fi
+
+       CC=$(tc-getCC) ./build.sh ${toolset} -d+2 $(use_with python python 
"${EROOT}"/usr) || die "building bjam failed"
+}
+
+src_install() {
+       dobin engine/bin.*/{bjam,b2}
+
+       insinto /usr/share/boost-build
+       doins -r "${FILESDIR}/site-config.jam" \
+               boost-build.jam bootstrap.jam build-system.jam user-config.jam 
*.py \
+               build kernel options tools util
+
+       rm "${ED}/usr/share/boost-build/build/project.ann.py" || die "removing 
faulty python file failed"
+       if ! use python; then
+               find "${ED}/usr/share/boost-build" -iname "*.py" -delete || die 
"removing experimental python files failed"
+       fi
+
+       dodoc changes.txt hacking.txt release_procedure.txt \
+               notes/build_dir_option.txt notes/relative_source_paths.txt
+
+       if use examples; then
+               insinto /usr/share/doc/${PF}
+               doins -r example
+       fi
+}
+
+src_test() {
+       cd test
+
+       export TMP="${T}"
+
+       DO_DIFF="${PREFIX}/usr/bin/diff" $(PYTHON -2) test_all.py
+
+       if [[ -s test_results.txt ]]; then
+               eerror "At least one test failed: $(<test_results.txt)"
+               die "tests failed"
+       fi
+}
+
+pkg_postinst() {
+       use python && python_mod_optimize /usr/share/boost-build
+}
+
+pkg_postrm() {
+       use python && python_mod_cleanup /usr/share/boost-build
+}

diff --git a/dev-util/boost-build/boost-build-1.57.0.ebuild 
b/dev-util/boost-build/boost-build-1.57.0.ebuild
new file mode 100644
index 0000000..5fd362d
--- /dev/null
+++ b/dev-util/boost-build/boost-build-1.57.0.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+RESTRICT="test"
+
+PYTHON_COMPAT=( python2_7 )
+inherit eutils flag-o-matic multilib python-single-r1 toolchain-funcs 
versionator
+
+MY_PV="$(replace_all_version_separators _)"
+
+DESCRIPTION="A system for large project software construction, simple to use 
and powerful"
+HOMEPAGE="http://www.boost.org/doc/tools/build/index.html";
+SRC_URI="mirror://sourceforge/boost/boost_${MY_PV}.tar.bz2"
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+IUSE="examples python test"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )
+       !<dev-libs/boost-1.34.0
+       !<=dev-util/boost-build-1.35.0-r1"
+DEPEND="${RDEPEND}
+       test? ( sys-apps/diffutils
+               ${PYTHON_DEPS} )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
+       test? ( ${PYTHON_REQUIRED_USE} )"
+
+S="${WORKDIR}/boost_${MY_PV}/tools/build/src"
+
+pkg_setup() {
+       if use python || use test; then
+               python-single-r1_pkg_setup
+       fi
+}
+
+src_unpack() {
+       tar xjpf "${DISTDIR}/${A}" boost_${MY_PV}/tools/build || die "unpacking 
tar failed"
+}
+
+src_prepare() {
+       epatch \
+               "${FILESDIR}/${PN}-1.48.0-disable_python_rpath.patch" \
+               "${FILESDIR}/${PN}-1.50.0-respect-c_ld-flags.patch" \
+               "${FILESDIR}/${PN}-1.49.0-darwin-gentoo-toolchain.patch" \
+               "${FILESDIR}/${PN}-1.52.0-darwin-no-python-framework.patch" \
+               "${FILESDIR}/${PN}-1.54.0-support_dots_in_python-buildid.patch" 
\
+               "${FILESDIR}/${PN}-1.55.0-ppc-aix.patch"
+
+       pushd ../ &>/dev/null || die
+       epatch "${FILESDIR}/${PN}-1.54.0-fix-test.patch"
+       popd &>/dev/null || die
+
+       # Remove stripping option
+       # Fix python components build on multilib systems, bug #496446
+       cd "${S}/engine" || die
+       sed -i \
+               -e 's|-s\b||' \
+               -e "/libpython/s/lib ]/$(get_libdir) ]/" \
+               build.jam || die "sed failed"
+
+       # Force regeneration
+       rm jambase.c || die
+
+       # This patch allows us to fully control optimization
+       # and stripping flags when bjam is used as build-system
+       # We simply extend the optimization and debug-symbols feature
+       # with empty dummies called 'none'
+       cd "${S}" || die
+       sed -i \
+               -e 's/\(off speed space\)/\1 none/' \
+               -e 's/\(debug-symbols      : on off\)/\1 none/' \
+               tools/builtin.jam || die "sed failed"
+
+       epatch_user
+}
+
+src_configure() {
+       if use python; then
+               # replace versions by user-selected one (TODO: fix this when 
slot-op
+               # deps are available to always match the best version available)
+               sed -i \
+                       -e "s|2.7 2.6 2.5 2.4 2.3 2.2|${EPYTHON#python}|" \
+                       engine/build.jam || die "sed failed"
+       fi
+}
+
+src_compile() {
+       cd engine || die
+
+       local toolset
+
+       if [[ ${CHOST} == *-darwin* ]]; then
+               toolset=darwin
+       else
+               # Using boost's generic toolset here, which respects CC and 
CFLAGS
+               toolset=cc
+       fi
+
+       CC=$(tc-getCC) ./build.sh ${toolset} -d+2 $(use_with python python 
"${EROOT}"/usr) || die "building bjam failed"
+}
+
+src_install() {
+       dobin engine/bin.*/{bjam,b2}
+
+       insinto /usr/share/boost-build
+       doins -r "${FILESDIR}/site-config.jam" \
+               ../boost-build.jam bootstrap.jam build-system.jam 
../example/user-config.jam *.py \
+               build kernel options tools util
+
+       rm "${ED}/usr/share/boost-build/build/project.ann.py" || die "removing 
faulty python file failed"
+       if ! use python; then
+               find "${ED}/usr/share/boost-build" -iname "*.py" -delete || die 
"removing experimental python files failed"
+       fi
+
+       dodoc 
../notes/{changes,hacking,release_procedure,build_dir_option,relative_source_paths}.txt
+
+       if use examples; then
+               dodoc -r ../example
+               docompress -x "/usr/share/doc/${PF}/example"
+       fi
+}
+
+src_test() {
+       cd ../test || die
+
+       export TMP="${T}"
+
+       DO_DIFF="${PREFIX}/usr/bin/diff" ${PYTHON} test_all.py
+
+       if [[ -s test_results.txt ]]; then
+               eerror "At least one test failed: $(<test_results.txt)"
+               die "tests failed"
+       fi
+}

Reply via email to